
#ifndef COMMLINE_H

#define COMMLINE_H


// Command line argument processing object


class commline {
 private:
  char *filename;
  char *program_name;
  int pyr_power;
  int status;
 public:
  typedef enum { BadArgs = 0, ArgsOK = 1 } ArgStatus;

 private:
   void usage(void);
   ArgStatus get_power_arg(char *power_str);

 public:
  commline( int argc, char *argv[] );
  char *get_filename(void) { return filename; }
  int get_power(void) { return pyr_power; }
  int get_status(void) { return status; }
};


#endif
